The installer contains all Softube's plug-ins. So even if you just have a license for one or a few products, choose your platform and plug-in format above, and download the entire package.

All products require Intel Core/AMD Athlon 64 or better processor. Please see the System Requirements for more information. If you have an older system, go to the Legacy Installers page.

Need help?
Please see the Frequently Asked Questions, or more specifically "How do I install Softube plug-ins?".